From bcdc525b2e4403f9e878e93cbd0d146ce9e37bb8 Mon Sep 17 00:00:00 2001
From: Khem Raj <raj.khem@gmail.com>
Date: Thu, 25 Jul 2019 23:30:27 -0700
Subject: [PATCH] libfdt: Undefine __wordsize if already defined

glibc 2.30+ defines __wordsize, which is same so its easier to compile
for multiple versions of glibc even ones which does not have this define

Signed-off-by: Khem Raj <raj.khem@gmail.com>
---
 opensrc/helpers/libfdt/libfdt_env.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/opensrc/helpers/libfdt/libfdt_env.h b/opensrc/helpers/libfdt/libfdt_env.h
index f4608be..5e83a27 100644
--- a/opensrc/helpers/libfdt/libfdt_env.h
+++ b/opensrc/helpers/libfdt/libfdt_env.h
@@ -18,6 +18,10 @@
 #include <string.h>
 #include <limits.h>
 
+#ifdef __bitwise
+#undef __bitwise
+#endif
+
 #ifdef __CHECKER__
 #define FDT_FORCE __attribute__((force))
 #define FDT_BITWISE __attribute__((bitwise))
